# Julia für Numerik

Source code for the website and PDF ["Julia für Numerik"](https://www.math.uni-leipzig.de/~hellmund/juliabook/)

- It uses the [Quarto publishing system](https://quarto.org/).
- It uses the  Quarto extension [julia-color](https://gitea.math.uni-leipzig.de/hellmund/julia-color) to support
the conversion of Jupyter code output cells with ANSI escape sequences to HTML and LaTeX/PDF

Since the `julia-color` extension needs a patched `Quarto` anyway, we use two more patches.

- `patch-quarto-julia` reduces the `startup.jl` used by quarto to a minimum.
- `patch-quarto-stacktrace` adds the julia stacktrace to the output of  code cells with julia errors. See e.g. the second code cell [here](https://www.math.uni-leipzig.de/~hellmund/juliabook/chapters/syntax.html#arithmetische-vergleiche)

```shell
cd quarto-cli
patch -p1 < patch-quarto-julia
patch -p1 < patch-quarto-stacktrace
```
All content & code licenced under [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/).
